Apache Tomcat 7.0.42

## org.apache.catalina.ha.jmx
Class ClusterJmxHelper

    java.lang.Object
      org.apache.catalina.ha.jmx.ClusterJmxHelper

Deprecated. Unused - registration now happens via `LifecycleMBeanBase`

    @Deprecated
    public class ClusterJmxHelper

extends Object

Author:
  Filip Hanik

Field Summary
`protected static boolean` `jmxEnabled` Deprecated.
`protected static MBeanServer` `mbeanServer` Deprecated.
`protected static Registry` `registry` Deprecated.

Constructor Summary
`ClusterJmxHelper()` Deprecated.

Method Summary
`static DynamicMBean` `getManagedBean(Object object)` Deprecated.
`static MBeanServer` `getMBeanServer()` Deprecated.
`static Registry` `getRegistry()` Deprecated.
`protected static void` `initDefaultCluster()` Deprecated.
`protected static boolean` `initMetaData(Class<?> clazz)` Deprecated.
`static boolean` `registerDefaultCluster(SimpleTcpCluster cluster)` Deprecated.
`static boolean` `unregisterDefaultCluster(SimpleTcpCluster cluster)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    protected static Registry registry

  Deprecated.

### jmxEnabled

    protected static boolean jmxEnabled

  Deprecated.

### mbeanServer

    protected static MBeanServer mbeanServer

  Deprecated.

Constructor Detail

### ClusterJmxHelper

    public ClusterJmxHelper()

  Deprecated.

Method Detail

### getRegistry

    public static Registry getRegistry()

  Deprecated.

### getMBeanServer

    public static MBeanServer getMBeanServer()
                                      throws Exception

  Deprecated.
  Throws:
    `Exception`

### initMetaData

    protected static boolean initMetaData(Class<?> clazz)

  Deprecated.

### getManagedBean

    public static DynamicMBean getManagedBean(Object object)
                                       throws Exception

  Deprecated.
  Throws:
    `Exception`

### initDefaultCluster

    protected static void initDefaultCluster()

  Deprecated.

### registerDefaultCluster

    public static boolean registerDefaultCluster(SimpleTcpCluster cluster)

  Deprecated.

### unregisterDefaultCluster

    public static boolean unregisterDefaultCluster(SimpleTcpCluster cluster)

  Deprecated.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.